%define miconsdir /usr/share/icons/hicolor/16x16
%define iconsdir  /usr/share/icons/hicolor/32x32
%define liconsdir /usr/share/icons/hicolor/48x48

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	Schematic entry and PCB editor software
Name:      	kicad
Version:   	20071122
Release:   	3
Provides:	kicad
License: 	GNU/GPL
URL:		http://www.lis.inpg.fr/realise_au_lis/kicad/index.html
Group:     	Science/Engineering
Source0: 	%{name}-20071122-r468.tar.bz2
# data package contains supplementary files
# and is derived from the binary release of kicad
Source1:	%{name}-data.tar.bz2
Patch0:		kicad-config.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  wxGTK-devel

%description
Kicad is an open source (GPL) software for the creation of electronic schematic diagrams and printed circuit board artwork. 
 
Kicad is a set of four programs and a project manager: 
 
Eeschema :Schematic entry. 
Pcbnew :Board editor. 
Gerbview :GERBER viewer (photoplotter documents). 
Cvpcb :footprint selector for components used in the circuit design. 
Kicad: project manager.

%post
ldconfig

%preun

%postun
ldconfig

%prep
%setup -n %{name}
#%patch0 -p1

%build
# kicad does not have any autoconf/automake based installation
make -f makefile.gtk

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/%{_bindir}

install -m755 kicad/kicad cvpcb/cvpcb eeschema/eeschema pcbnew/pcbnew gerbview/gerbview eeschema/plugins/netlist_form_pads-pcb -D  %{buildroot}/%{_bindir}

mkdir -p $RPM_BUILD_ROOT%_datadir
pushd $RPM_BUILD_ROOT%_datadir
tar xvjf %{SOURCE1}
popd

mkdir -p $RPM_BUILD_ROOT%_datadir/applications
mv $RPM_BUILD_ROOT%_datadir/kicad/kicad.desktop $RPM_BUILD_ROOT%_datadir/applications

mkdir -p $RPM_BUILD_ROOT%{miconsdir}
mkdir -p $RPM_BUILD_ROOT%{iconsdir}
mkdir -p $RPM_BUILD_ROOT%{liconsdir}

convert -resize 16x16 %{buildroot}%{_datadir}/%{name}/kicad_icon.png %{buildroot}%{miconsdir}/%{name}.png
convert -resize 32x32 %{buildroot}%{_datadir}/%{name}/kicad_icon.png %{buildroot}%{iconsdir}/%{name}.png
convert -resize 48x48 %{buildroot}%{_datadir}/%{name}/kicad_icon.png %{buildroot}%{liconsdir}/%{name}.png

%files
%defattr(-,root,root)
%_bindir
%_datadir/applications
%_datadir/icons
%_datadir/kicad

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 24 2008 Christian Wasem <wasem@ccux-linux.de> 20071122-3
- rebuild, changed group to Science/Engineering
* Mon Mar 24 2008 Christian Wasem <wasem@ccux-linux.de> 20071122-2
- rebuild, changed group to Science/EE
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 20071122-1
- Version update
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 20071004-2
- rebuilt against wxGTK 2.8.4
* Tue Oct 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071004-1
- Version update
* Wed Feb 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 20070119-1
- Version update
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 20060115-1
- Initial Release

